@Echo off

set JobMgr_EchoLog_DPNE=.
set TcSiteId=TC14ADDPLM
set TcPrompt_Custom_Opt=%TcSiteId%
set NXPrompt_Custom_Opt=NX2506
set JobMgr_Debug=

Call :PathExtendBase
call DateTimeGetUTC.cmd
set WorkDir=J:\JobManagerV3\91-DATA.TempTransfer\TCPrompt_%$DateTimeNowFileExt_YMDHM%

set titleTxt="Tc-Prompt:%TcSiteId% -//- %NXPrompt_Custom_Opt%"
title %titleTxt%
call "%JobMgr10-JobScripts%\_CustomDefaults\TcPrompt\TcPrompt_Custom.cmd"
Call :PathExtendBase

if /i "%JobMgr_Debug%" equ "ON" goto :JumbOverDebug
 call PathView.cmd
:JumbOverDebug


call TC_tempSet.cmd "%WorkDir%"
call NX_tempSet.cmd "%WorkDir%"

cd /d "%WorkDir%"

Call Echo2 "****"
Call Echo2 "*" " Tc-Prompt:%TcSiteId% Version:08.10.2025/J.Fes"
Call Echo2 "****"

call Echo2 "TC-Prompt custom Opt" "%TcPrompt_Custom_Opt%"
call Echo2 "NX-Prompt custom Opt" "%NXPrompt_Custom_Opt%"
call Echo2 "WorkDir is set to" "%WorkDir%"
call Echo2 "TC (Teamcenter.exe)" "IsIn"
where Teamcenter.exe
call Echo2 "NX (ugraf.exe)" "IsIn"
where ugraf.exe

pause
exit /b


:PathExtendBase
 set JobMgr10-JobScripts=J:\JobManagerV3\90-DATA\CustomerNameShort_SettingsGlobal\10-JobScripts
 set path=%JobMgr10-JobScripts%\_CustomDefaults\TcPrompt;%JobMgr10-JobScripts%\_JobMgrDefaults;%path%
 goto :eof
